#!/opt/VRTSsfmh/bin/perl
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $
BEGIN { @INC = ("/opt/VRTSsfmh/lib/modules") if ( $^O !~ /Win32/i ) }

use VRTS::AddOnInfo;
use VRTS::Util;
use VRTS::OS;
use File::Copy;
use Archive::Tar;
use VRTS::CMD;
use VRTS::Config;

require File::Path;
require File::Spec;

	my $version = "7.4.0.200";
	my $addon_dir = VRTS::Paths::get_path("DeployStoreDir");
	$addon_dir = File::Spec->catfile($addon_dir ,"VRTSVCSUtilities-".$version);
	my $install_dir = VRTS::Paths::get_path("InstallDir");
	my $mhinstall_dir = File::Spec->canonpath($install_dir);
	my $csinstall_dir = $mhinstall_dir;
	$csinstall_dir =~ s/VRTSsfmh/VRTSsfmcs/;

	my $cms_version = &VRTS::Config::MANIFEST_VERSION;
	chomp $cms_version;
	# Preventing install on version less than 6.0 
        if($cms_version =~ m/(\d)\.*/)
        {
            if($1 < 6)
	    {
		print STDERR "VCS Utilities add-on requires Veritas InfoScale Operations Manager 6.0 or higher.\n";
		print STDERR "Current Version:$cms_version\n";
		exit(1);
            }
	}


	# Copy the JAR
	my $mstar = File::Spec->catfile($addon_dir,"ms.tar.gz");
    $ret = VRTS::OS->ungzip_and_untar("$csinstall_dir", "$mstar");
    if ($ret != 0) {
        #Unzip failed
        print STDERR "Failed to uncompress archive \"$mstar\"\n";
        exit 1;
    }
	
	my $destdir = File::Spec->catfile($csinstall_dir, "webgui", "vom", "WEB-INF", "lib");
	my $JAR1 = File::Spec->catfile($addon_dir, "vom_vcs_utilities.jar");
	copy($JAR1, $destdir);
	
	$destdir = File::Spec->catfile($csinstall_dir, "webgui", "vom");
	my $TAR = File::Spec->catfile($addon_dir, "vom_vcs_utilities.tar");

	chdir($destdir);
	my $betar = Archive::Tar->new();
	my @filelist = $betar->read($TAR, 0, { extract=>1 } );
	
	print "VCS Utilities - Manage VCS User Passwords addon installed and enabled successfully.\n";
	
exit 0;
