#!/opt/VRTSsfmh/bin/perl
#$Id$
# $Copyright (c) 2018 Veritas Technologies LLC.  All rights reserved. Veritas
# and the Veritas Logo are trademarks or registered trademarks of Veritas
# Technologies LLC or its affiliates in the U.S. and other countries. Other
# names may be trademarks of their respective owners.
#
# The Licensed Software and Documentation are deemed to be commercial computer
# software as defined in FAR 12.212 and subject to restricted rights as defined
# in FAR Section 52.227-19 "Commercial Computer Software - Restricted Rights" and
# DFARS 227.7202, et seq. "Commercial Computer Software and Commercial Computer
# Software Documentation," as applicable, and any successor regulations, whether
# delivered by Veritas as on premises or hosted services. Any use, modification,
# reproduction release, performance, display or disclosure of the Licensed Software
# and Documentation by the U.S. Government shall be solely in accordance with the
# terms of this Agreement. $

BEGIN { @INC = ("/opt/VRTSsfmh/lib/modules") if ( $^O !~ /Win32/i ); }


use VRTS::AddOnInfo;
use VRTS::Util;
use VRTS::OS;
use File::Copy;
use Archive::Tar;
use VRTS::CMD;
use VRTS::Config;
use File::Path qw (rmtree);
require File::Spec;

my $version = "7.4.0.200";

if ( VRTS::AddOnInfo::is_CS() || VRTS::Util::is_ha_slave()) {
	
	#This is for CS
	
	my $addon_dir = $ENV{'Store'};
	
	my $install_dir = VRTS::Paths::get_path("InstallDir");
	my $mhinstall_dir = File::Spec->canonpath($install_dir);
	my $csinstall_dir = $mhinstall_dir;
	$csinstall_dir =~ s/VRTSsfmh/VRTSsfmcs/;
	my $smlibdir = File::Spec->catfile($csinstall_dir, "webgui", "vom", "WEB-INF", "lib");


	my @jars=("vom_vcs_utilities.jar");
	
	#remove the jar file
	my $filename;
	for my $jar (@jars) {
		$filename = File::Spec->catfile($smlibdir, $jar);
		#unlink($filename);
    }

	# Remove the help files from under the common "content" folder    
    my $csinstalldir = $install_dir;
	# Replace ending VRTSsfmh by VRTSsfmcs and also remove ending '/' or '\' if any
	$csinstalldir =~ s/VRTSsfmh[\/\\]?$/VRTSsfmcs/;
	if (-d "$csinstalldir") {
	    my $olhdir = File::Spec->catdir($csinstalldir, "webgui",
	            "vom", "help", "content", "EN_US", "VIOMVCSUTADDONCURRENT7_4");
	    if (-d "$olhdir") {
	        rmtree("$olhdir");
	    }
	}
    
    # Remove the spring add-on file
	$smlibdir = File::Spec->catfile($csinstall_dir, "webgui", "vom", "WEB-INF", "spring", "addon");

	my @fileList=("vcsutilities-config.xml");

	for my $file (@fileList) {
		$filename = File::Spec->catfile($smlibdir, $file);
		unlink($filename);
    }
	
	print "VCS Utilities - Manage VCS User Passwords addon uninstalled successfully.\n";
	exit(0);

}

print STDERR "VCS Utilities Addon is not installed on MH";
exit(1);


